#-------------------------------------------------------------------------------
# Define Program, Program Directory, Program Version, Install Directories, and
# Target Names ... set mode to default (empty)
#-------------------------------------------------------------------------------
PROGRAM				= SLBM_Test_Java
PROG_NAM			= SLBM_Test_Java

CV = @
SRC = src

RM = del
JSOURCE_DIR			= slbmtest\\
LIB_DIR				= ..\lib\\
CLASSPATH_DIR		= slbmtest\\
CD = chdir /D

all : info slbmtestjava cleanclasses done


cleanclasses :
	${CV} echo "removing files"
	$(RM) ${SRC}\${JSOURCE_DIR}SLBMTest.class
	${CV} echo ""

slbmtestjava:
	${CV} echo "compiling SLBMTest.java ..\lib\slbmjni.jar"
	${CV} ${CD} ${SRC} && \
	javac -classpath ..\..\lib\slbmjni.jar ${JSOURCE_DIR}SLBMTest.java
	${CV} ${CD} ${SRC} && \
	jar -cmf MANIFEST.mf  ..\..\bin\slbmtest.jar ..\..\lib\slbmjni.jar ${JSOURCE_DIR}SLBMTest.class
	${CV} echo ""

info :
	${CV} echo "========================================="
	${CV} echo "Building" $(PROG_NAM)
	-${CV} javac -version
	${CV} echo ""

done :
	${CV} echo "Done building" $(PROG_NAM)
	@ echo ""
